//
// $Id: load_shader.h 81 2011-02-01 13:15:26Z bambooflow $
// $Rev: 81 $
// $Author: bambooflow $
//
#ifndef __LOAD_SHADER_H_
#define __LOAD_SHADER_H_

#include <GL/glew.h>
#include <GL/gl.h>

GLuint loadShaderFromFile(GLenum type, const char *fileName);
GLuint loadShader(GLenum type, const char *str, const char* fileName="");
GLuint createProgram(const char* vsName, const char* fsName);
GLuint createProgram(GLuint vertexShader, GLuint fragmentShader);

#endif // __LOAD_SHADER_H_

